<?php

namespace EasyContent\WordPress;

final class NoticesManager
{
    private $notices = ['success' => [], 'error' => [], 'info' => [], 'warning' => []];


    public function noticeTypeExists($type)
    {
        return ! ( ! $type || ! is_string( $type ) || ! array_key_exists( $type, $this->notices ) );
    }


    public function addNotice($notice, $type = 'success')
    {
        if ( ! is_string( $notice ) ) {
            return;
        }

        if ( ! $this->noticeTypeExists( $type ) ) {
            return;
        }

        $this->notices[$type][] = $notice;
    }


    public function renderNotices()
    {
        $layout = '';

        foreach ( $this->notices as $type => $notices ) {
            if ( ! $this->notices[$type] ) {
                continue;
            }

            $strings = implode( '<br>', $this->notices[$type] );
            $class = esc_attr( "notice notice-{$type} is-dismissible" );

            $layout .= '<div class="' . $class . '"><p>' . $strings . '</p></div>';
        }

        echo $layout;
    }
}
