<?php

namespace EasyContent\WordPress\Db\Phinx;

use EasyContent\WordPress\Db\Phinx\Console\Command\Migrate;
use EasyContent\WordPress\Plugin;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class Application extends \Symfony\Component\Console\Application
{
    public function __construct($version = null)
    {
        Plugin::getInstance()->log( 'Creating new Phinx application...' );

        if ($version === null) {
            $version = '0.10.7';
        }

        parent::__construct('Phinx by CakePHP - https://phinx.org.', $version);

        $this->addCommands([
            new Migrate( 'migrate' )
        ]);
    }


    public function doRun(InputInterface $input, OutputInterface $output)
    {
        Plugin::getInstance()->log( '[Application] executing command: ' . (string)$input );

        // always show the version information except when the user invokes the help
        // command as that already does it
        if (($input->hasParameterOption(['--help', '-h']) !== false) || ($input->getFirstArgument() !== null && $input->getFirstArgument() !== 'list')) {
            $output->writeln($this->getLongVersion());
            $output->writeln('');
        }

        return parent::doRun($input, $output);
    }
}
