<?php

namespace EasyContent\WordPress\Forms\Constraints;

use EasyContent\WordPress\Forms\Validators\ApiKeysWereChangedValidator;
use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class ApiKeysWereChanged extends Constraint
{
    public $alreadyInUseMessage;
    public $invalidKeysMessage;


    public function __construct($options = null)
    {
        parent::__construct($options);

        $this->alreadyInUseMessage = __( 'WordPress already using this key pair', EASYCONTENT_TXTDOMAIN );
        $this->invalidKeysMessage  = __( 'Invalid key pair', EASYCONTENT_TXTDOMAIN );
    }


    public function validatedBy()
    {
        return ApiKeysWereChangedValidator::class;
    }


    public function getTargets()
    {
        return self::CLASS_CONSTRAINT;
    }
}
