<?php

namespace EasyContent\WordPress\Forms\Constraints;

use EasyContent\WordPress\Forms\Validators\WorkflowStageExistsValidator;
use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class WorkflowStageExists extends Constraint
{
    public $message;


    public function __construct($options = null)
    {
        parent::__construct($options);

        $this->message = __( "Workflow stage with id %s doesn't exist", EASYCONTENT_TXTDOMAIN );
        $this->message = sprintf( $this->message, '{id}' );
    }


    public function validatedBy()
    {
        return WorkflowStageExistsValidator::class;
    }
}
