<?php

namespace EasyContent\WordPress\Forms\Entities;

use Symfony\Component\Validator\Constraints as Assert;

class ServerConnectionResponse
{
    /**
     * @Assert\NotNull
     * @Assert\Type(type = "string")
     */
    protected $accountName;

    /**
     * @Assert\NotNull
     * @Assert\Type(type = "string")
     */
    protected $projectName;

    /**
     * @Assert\NotNull
     * @Assert\Type(type = "string")
     * @Assert\Url
     */
    protected $editUrlBase;

    protected $articles = [];

    protected $categories = [];

    protected $stages = [];


    public function getAccountName()
    {
        return $this->accountName;
    }

    public function setAccountName($name)
    {
        $this->accountName = $name;
    }


    public function getProjectName()
    {
        return $this->projectName;
    }

    public function setProjectName($name)
    {
        $this->projectName = $name;
    }


    public function getEditUrlBase()
    {
        return $this->editUrlBase;
    }

    public function setEditUrlBase($base)
    {
        $this->editUrlBase = $base;
    }


    /**
     * @return array|Article[]
     */
    public function getArticles()
    {
        return $this->articles;
    }

    public function setArticles(array $articles)
    {
        $this->articles = $articles;
    }


    /**
     * @return array|Category[]
     */
    public function getCategories()
    {
        return $this->categories;
    }

    public function setCategories(array $categories)
    {
        $this->categories = $categories;
    }


    /**
     * @return array|WorkflowStage[]
     */
    public function getStages()
    {
        return $this->stages;
    }

    public function setStages(array $stages)
    {
        $this->stages = $stages;
    }
}
