<?php

namespace EasyContent\WordPress\Forms\Types;

use EasyContent\WordPress\Forms\Entities\Article;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ArticleType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add( 'id', IntegerType::class )
            ->add( 'content', TextType::class )
            ->add( 'current_workflow_stage_id', IntegerType::class )
            ->add( 'categories', CollectionType::class, [
                'entry_type' => IntegerType::class,
                'allow_add' => true
            ] )
            ->add( 'topic_name', TextType::class )
            ->add( 'title', TextType::class )
            ->add( 'updated', IntegerType::class )
            ->add( 'meta_title', TextType::class )
            ->add( 'meta_description', TextType::class );
    }


    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefault( 'data_class', Article::class );
    }
}
