<?php

namespace EasyContent\WordPress\Forms\Types;

use EasyContent\WordPress\Forms\Entities\Category;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class CategoryType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add( 'id', IntegerType::class )
            ->add( 'parent_category_id', IntegerType::class )
            ->add( 'name', TextType::class );
    }


    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefault( 'data_class', Category::class );
    }
}
