<?php

namespace EasyContent\WordPress\Forms\Types;

use EasyContent\WordPress\Forms\Entities\WorkflowStage;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class WorkflowStageType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add( 'id', IntegerType::class )
            ->add( 'color', TextType::class )
            ->add( 'name', TextType::class )
            ->add( 'is_core', IntegerType::class );
    }


    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefault( 'data_class', WorkflowStage::class );
    }
}
