<?php

namespace EasyContent\WordPress\Pages\Import;

use EasyContent\WordPress\Api\Models\Article;
use EasyContent\WordPress\Db\Models\ArticlePost;
use EasyContent\WordPress\Db\Models\WorkflowStage;
use EasyContent\WordPress\Db\Models\Article as ArticleDbModel;

class Importer
{
    public function run(array $ids, WorkflowStage $newWorkflowStage = null)
    {
        foreach ( $ids as $id ) {
            try {
                $article = Article::findOne( $id );

                if ( $article ) {
                    $article->import( $newWorkflowStage );
                } else {
                    ArticleDbModel::deleteByPrimaryKey( $id );
                    ArticlePost::deleteByPrimaryKey( $id, 'article_id' );
                }
            } catch ( \Exception $e ) { }
        }

        return true;
    }
}
