<?php

namespace EasyContent\WordPress\Rest\Actions;

use EasyContent\WordPress\Post;

class GetArticleDetails extends BaseAction
{
    public function getArgumentsConfig()
    {
        return [
            'post_id' => [
                'type'              => 'integer',
                'required'          => true,
                'sanitize_callback' => 'absint'
            ]
        ];
    }


    public function run(\WP_REST_Request $request)
    {
        try {
            return ( new Post( (int)$request['post_id'] ) )->getFrontendData();
        } catch (\Exception $e) {
            return new \WP_Error( $e->getCode(), $e->getMessage() );
        }
    }
}
