<?php

namespace EasyContent\WordPress\Rest\Actions;

use EasyContent\WordPress\Db\Models\ArticlePost;

class UnlinkPost extends BaseAction
{
    protected $methods = ['POST'];


    public function getArgumentsConfig()
    {
        return [
            'post_id' => [
                'type'              => 'integer',
                'required'          => true,
                'sanitize_callback' => 'absint'
            ]
        ];
    }


    public function run(\WP_REST_Request $request)
    {
        try {
            ArticlePost::deleteByPrimaryKey( (int)$request['post_id'], 'post_id' );
        } catch ( \Exception $e ) {
            return new \WP_Error( $e->getCode(), $e->getMessage() );
        }
    }
}
