<?php

namespace EasyContent\WordPress\Storages;

/**
 * @property string $accountName
 * @property string $projectName
 * @property string $editUrlBase
 */
class PluginMisc extends BaseOptionsStorage
{
    protected function getDefaults()
    {
        return [
            'accountName' => '',
            'projectName' => '',
            'editUrlBase' => ''
        ];
    }


    protected function getMappings()
    {
        return [
            'accountName' => [
                'name' => 'ec-connected-account-name',
                'filter' => 'strval'
            ],
            'projectName' => [
                'name' => 'ec-connected-project-name',
                'filter' => 'strval'
            ],
            'editUrlBase' => [
                'name' => 'ec-edit-article-url-base',
                'filter' => 'strval'
            ]
        ];
    }
}
