<?php
/**
 * Plugin Name: EasyContent
 * Plugin URI:  https://easycontent.io
 * Description: Imports articles from EasyContent to your wordpress site and exports articles from your wordpress site to EasyContent
 * Version: 1.0.5
 * Requires at least: 5.0.7
 * Requires PHP: 5.6
 * Author: EasyContent
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: easycontent-wp
 * Domain Path: /languages
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}



if ( ! defined( 'EASYCONTENT_PLUGIN_VERSION' ) ) {
    define( 'EASYCONTENT_PLUGIN_VERSION', '1.0.5' );
}

if ( ! defined( 'EASYCONTENT_TXTDOMAIN' ) ) {
	define( 'EASYCONTENT_TXTDOMAIN', 'easycontent-wp' );
}

if ( ! defined( 'EASYCONTENT_DIR' ) ) {
	define( 'EASYCONTENT_DIR' , __DIR__ );
}

if ( ! defined( 'EASYCONTENT_URL' ) ) {
	// e.g. http://<site_domain>/wp-content/plugins/easycontent-wp/
    define( 'EASYCONTENT_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'EASYCONTENT_ENDPOINT' ) ) {
    // Path to EasyContent.io site
    define( 'EASYCONTENT_ENDPOINT', getenv( 'EASYCONTENT_ENDPOINT' ) ?: 'https://easycontent.io' );
}

if ( ! defined( 'EASYCONTENT_DEBUG' ) ) {
    define( 'EASYCONTENT_DEBUG', EASYCONTENT_ENDPOINT !== 'https://easycontent.io' );
}

if ( ! defined( 'EASYCONTENT_ENTRY_FILE' ) ) {
    define( 'EASYCONTENT_ENTRY_FILE', __FILE__ );
}

if ( ! defined( 'EASYCONTENT_DB_VERSION' ) ) {
    define( 'EASYCONTENT_DB_VERSION', '1.0.2' );
}


$easyContentComposerAutoloader = require_once __DIR__ . '/vendor/autoload.php';
Doctrine\Common\Annotations\AnnotationRegistry::registerLoader( [$easyContentComposerAutoloader, 'loadClass'] );


$easyContentPlugin = EasyContent\WordPress\Plugin::getInstance();
$easyContentPlugin->init();
