<?php

namespace PhpGangsters\EasyContent\HtmlHandler\DOM;

class Node
{
    /** @var \DOMElement $sourceNode */
    protected $sourceNode;

    /** @var NodeAttributeList $attributes */
    protected $attributes;


    public function __construct($node)
    {
        $this->sourceNode = $node;
        $this->attributes = new NodeAttributeList();
    }


    /**
     * @param NodeAttribute $attribute
     */
    public function addAttribute($attribute)
    {
        $this->attributes->addAttribute($attribute);
    }


    public function isAttributesListEmpty()
    {
        return $this->attributes->isEmpty();
    }


    public function getSourceNode()
    {
        return $this->sourceNode;
    }


    public function getAttributeList()
    {
        return $this->attributes;
    }
}
